Package org.eclipse.gef.dot.internal.ui.conversion

# Class DotDefaultNodeStyleUtil

java.lang.Object
org.eclipse.gef.dot.internal.ui.conversion.DotDefaultNodeStyleUtil

All Implemented Interfaces:
  `DotNodeStyleUtil`

Direct Known Subclasses:
  `DotClusterStyleUtil`, `DotRecordBasedNodeStyleUtil`

public class DotDefaultNodeStyleUtil extends Object implements DotNodeStyleUtil

## Field Summary

Fields
Modifier and Type
Field
Description
`protected final DotColorUtil`
`colorUtil`
`protected final org.eclipse.gef.graph.Node`
`dot`

## Constructor Summary

Constructors
Constructor
Description
`DotDefaultNodeStyleUtil(DotColorUtil colorUtil, org.eclipse.gef.graph.Node dot)`

## Method Summary

Modifier and Type
Method
Description
`protected void`
`addNodeStyle(StringBuilder zestStyle, org.eclipse.gef.dot.internal.language.style.NodeStyle style, boolean penwidthUnset)`
`protected org.eclipse.gef.dot.internal.language.color.Color`
`colorAttribute()`
`protected String`
`colorschemeAttribute()`
`StringBuilder`
`computeZestStyle()`
Computes Zest node shape style
`protected org.eclipse.gef.dot.internal.language.colorlist.ColorList`
`fillcolorAttribute()`
`protected boolean`
`fillCondition()`
`protected String`
`fillFxCssString()`
`boolean`
`hasStyle(org.eclipse.gef.dot.internal.language.style.NodeStyle nodeStyle)`
Checks if node has given style
`protected Double`
`penwidthAttribute()`
`protected org.eclipse.gef.dot.internal.language.shape.Shape`
`shapeAttribute()`
`protected String`
`strokeColorFxCssString()`
`protected String`
`strokeWidthFxCssString()`
`protected org.eclipse.gef.dot.internal.language.style.Style`
`styleAttribute()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### colorUtil

protected final DotColorUtil colorUtil

### dot

protected final org.eclipse.gef.graph.Node dot

## Constructor Details

### DotDefaultNodeStyleUtil

public DotDefaultNodeStyleUtil(DotColorUtil colorUtil, org.eclipse.gef.graph.Node dot)

## Method Details

### computeZestStyle

public StringBuilder computeZestStyle()
Description copied from interface: `DotNodeStyleUtil`
Computes Zest node shape style

Specified by:
  `computeZestStyle` in interface `DotNodeStyleUtil`
Returns:
  StringBuilder containing node shape style

### hasStyle

public boolean hasStyle(org.eclipse.gef.dot.internal.language.style.NodeStyle nodeStyle)
Description copied from interface: `DotNodeStyleUtil`
Checks if node has given style

Specified by:
  `hasStyle` in interface `DotNodeStyleUtil`
Returns:
  true, if node has nodeStyle

### addNodeStyle

protected void addNodeStyle(StringBuilder zestStyle, org.eclipse.gef.dot.internal.language.style.NodeStyle style, boolean penwidthUnset)

### fillFxCssString

protected String fillFxCssString()

### strokeWidthFxCssString

protected String strokeWidthFxCssString()

### strokeColorFxCssString

protected String strokeColorFxCssString()

### shapeAttribute

protected org.eclipse.gef.dot.internal.language.shape.Shape shapeAttribute()

### colorschemeAttribute

protected String colorschemeAttribute()

### colorAttribute

protected org.eclipse.gef.dot.internal.language.color.Color colorAttribute()

### penwidthAttribute

protected Double penwidthAttribute()

### fillcolorAttribute

protected org.eclipse.gef.dot.internal.language.colorlist.ColorList fillcolorAttribute()

### fillCondition

protected boolean fillCondition()

### styleAttribute

protected org.eclipse.gef.dot.internal.language.style.Style styleAttribute()